# Zilfu — Bio page

5 operations. Schemas referenced below are documented at https://zilfu.app/docs/api/schemas.md.

## Servers

- `https://zilfu.app/api`

## Operations

### Get the bio page

- **Method:** `GET`
- **Path:** `/spaces/{space}/bio`
- **Tags:** BioPageEditor

#### Parameters

##### `space` required

- **In:** `path`

The space ID

`integer`

#### Responses

##### Status: 200 \`BioPageResource\`

###### Content-Type: application/json

- **`data` (required)**

  `object`

  - **`avatar` (required)**

    `string`

  - **`created_at` (required)**

    `string | null`, format: `date-time`

  - **`description` (required)**

    `string | null`

  - **`id` (required)**

    `integer`

  - **`is_enabled` (required)**

    `boolean`

  - **`public_url` (required)**

    `string`

  - **`settings` (required)**

    `object`

    - **`btn_radius` (required)**

      `string`

    - **`colors` (required)**

      `array`

      **Items:**

    - **`font` (required)**

      `string`

  - **`slug` (required)**

    `string`

  - **`theme` (required)**

    `string`

  - **`title` (required)**

    `string | null`

  - **`updated_at` (required)**

    `string | null`, format: `date-time`

**Example:**

```json
{
  "data": {
    "id": 1,
    "slug": "",
    "title": null,
    "description": null,
    "theme": "",
    "settings": {
      "colors": [],
      "btn_radius": "",
      "font": ""
    },
    "avatar": "",
    "is_enabled": true,
    "public_url": "",
    "created_at": null,
    "updated_at": null
  }
}
```

##### Status: 401 Unauthenticated

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 403 Authorization error

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 404 Not found

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

### Create the bio page

- **Method:** `POST`
- **Path:** `/spaces/{space}/bio`
- **Tags:** BioPageEditor

Seeds a social icons block from the space's connected accounts.

#### Parameters

##### `space` required

- **In:** `path`

The space ID

`integer`

#### Request Body

##### Content-Type: application/json

- **`slug` (required)**

  `string`

- **`theme` (required)**

  `string`, possible values: `"minimal", "bold", "neon", "soft", "classic"`

- **`description`**

  `string | null`

- **`title`**

  `string | null`

**Example:**

```json
{
  "slug": "",
  "title": null,
  "description": null,
  "theme": "minimal"
}
```

#### Responses

##### Status: 200

###### Content-Type: application/json

**Example:**

```json
{}
```

##### Status: 401 Unauthenticated

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 403 Authorization error

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 404 Not found

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 422 Validation error

###### Content-Type: application/json

- **`errors` (required)**

  `object` — A detailed description of each field that failed validation.

- **`message` (required)**

  `string` — Errors overview.

**Example:**

```json
{
  "message": "",
  "errors": {
    "additionalProperty": [
      ""
    ]
  }
}
```

### Update the bio page

- **Method:** `PUT`
- **Path:** `/spaces/{space}/bio`
- **Tags:** BioPageEditor

#### Parameters

##### `space` required

- **In:** `path`

The space ID

`integer`

#### Responses

##### Status: 200 \`BioPageResource\`

###### Content-Type: application/json

**Any of:**

- **`data` (required)**

  `object`

  - **`avatar` (required)**

    `string`

  - **`created_at` (required)**

    `string | null`, format: `date-time`

  - **`description` (required)**

    `string | null`

  - **`id` (required)**

    `integer`

  - **`is_enabled` (required)**

    `boolean`

  - **`public_url` (required)**

    `string`

  - **`settings` (required)**

    `object`

    - **`btn_radius` (required)**

      `string`

    - **`colors` (required)**

      `array`

      **Items:**

    - **`font` (required)**

      `string`

  - **`slug` (required)**

    `string`

  - **`theme` (required)**

    `string`

  - **`title` (required)**

    `string | null`

  - **`updated_at` (required)**

    `string | null`, format: `date-time`

**Example:**

```json
{
  "data": {
    "id": 1,
    "slug": "",
    "title": null,
    "description": null,
    "theme": "",
    "settings": {
      "colors": [],
      "btn_radius": "",
      "font": ""
    },
    "avatar": "",
    "is_enabled": true,
    "public_url": "",
    "created_at": null,
    "updated_at": null
  }
}
```

##### Status: 401 Unauthenticated

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 403 Authorization error

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 404 Not found

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 422 Validation error

###### Content-Type: application/json

- **`errors` (required)**

  `object` — A detailed description of each field that failed validation.

- **`message` (required)**

  `string` — Errors overview.

**Example:**

```json
{
  "message": "",
  "errors": {
    "additionalProperty": [
      ""
    ]
  }
}
```

### Upload a bio page avatar

- **Method:** `POST`
- **Path:** `/spaces/{space}/bio/avatar`
- **Tags:** BioPageEditor

#### Parameters

##### `space` required

- **In:** `path`

The space ID

`integer`

#### Request Body

##### Content-Type: multipart/form-data

- **`file` (required)**

  `string`, format: `binary`

**Example:**

```json
{
  "file": "@filename"
}
```

#### Responses

##### Status: 200

###### Content-Type: application/json

**Example:**

```json
{}
```

##### Status: 401 Unauthenticated

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 403 Authorization error

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 404 Not found

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 422 Validation error

###### Content-Type: application/json

- **`errors` (required)**

  `object` — A detailed description of each field that failed validation.

- **`message` (required)**

  `string` — Errors overview.

**Example:**

```json
{
  "message": "",
  "errors": {
    "additionalProperty": [
      ""
    ]
  }
}
```

### Upload an image for a bio image block

- **Method:** `POST`
- **Path:** `/spaces/{space}/bio/image`
- **Tags:** BioPageEditor

#### Parameters

##### `space` required

- **In:** `path`

The space ID

`integer`

#### Request Body

##### Content-Type: multipart/form-data

- **`file` (required)**

  `string`, format: `binary`

**Example:**

```json
{
  "file": "@filename"
}
```

#### Responses

##### Status: 200

###### Content-Type: application/json

- **`path` (required)**

  `string`

- **`url` (required)**

  `string`

**Example:**

```json
{
  "path": "",
  "url": ""
}
```

##### Status: 401 Unauthenticated

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 403 Authorization error

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 404 Not found

###### Content-Type: application/json

- **`message` (required)**

  `string` — Error overview.

**Example:**

```json
{
  "message": ""
}
```

##### Status: 422 Validation error

###### Content-Type: application/json

- **`errors` (required)**

  `object` — A detailed description of each field that failed validation.

- **`message` (required)**

  `string` — Errors overview.

**Example:**

```json
{
  "message": "",
  "errors": {
    "additionalProperty": [
      ""
    ]
  }
}
```
